[SciPy-user] Error building statlib.so

Pearu Peterson pearu at scipy.org
Sat Mar 13 09:36:46 CST 2004



On Sat, 13 Mar 2004, Christopher Fonnesbeck wrote:

> 
> On Mar 13, 2004, at 3:49 AM, Pearu Peterson wrote:
> 
> > Acctually, the latest CVS version of gnufcompiler.py contains
> >
> >           if sys.platform=='darwin':
> >              if sys.executable.startswith('/usr/bin'):
> >                  # This is when Python is from Apple framework
> >                  opt.extend(["-Wl,-framework","-Wl,Python"])
> >              #else we are running in Fink python.
> >              opt.extend(["-lcc_dynamic","-bundle"])
> >           else:
> >              ...
> >
> 
> Python is in /usr/bin, so I'm not sure why it isnt working. There is 
> nothing non-standard about my installation, AFAIK.

Sorry, I misread the output messages: g77 was in /usr/local but that 
shouldn't matter. I tested on Linux, if python executable is
/usr/bin/python then
  sys.executable.startswith('/usr/bin')
returns True, so the above codelet should be correct.

Try installing scipy_core (from CVS) first and then build scipy.

> Do people really use fink python?

I don't know. Yes, I guess as I have recieved patches from fink users.
But why shouldn't they, fink is existing and so there must be also users..

Regards,
Pearu



More information about the SciPy-user mailing list